From 01db29ea295ec4541a870ed2dbbcd63184f03bef Mon Sep 17 00:00:00 2001
From: Kyotaro Horiguchi <horikyota.ntt@gmail.com>
Date: Mon, 17 Mar 2025 11:54:58 +0900
Subject: [PATCH] Unify wording of user-facing "row security"

Row-level security is mostly referred to as "row security" in
user-facing messages. However, a recent commit (cd3c45125d2)
introduced the first instance of "row-level security" in such
messages, while the corresponding message added in that commit uses
"row security." This commit updates the wording for consistency but
does not change non-user-facing wording.
---
 src/bin/pg_dump/pg_restore.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/bin/pg_dump/pg_restore.c b/src/bin/pg_dump/pg_restore.c
index d947b2d2068..337e64a8a29 100644
--- a/src/bin/pg_dump/pg_restore.c
+++ b/src/bin/pg_dump/pg_restore.c
@@ -508,7 +508,7 @@ usage(const char *progname)
 	printf(_("  --no-data                    do not restore data\n"));
 	printf(_("  --no-data-for-failed-tables  do not restore data of tables that could not be\n"
 			 "                               created\n"));
-	printf(_("  --no-policies                do not restore row level security policies\n"));
+	printf(_("  --no-policies                do not restore row security policies\n"));
 	printf(_("  --no-publications            do not restore publications\n"));
 	printf(_("  --no-schema                  do not restore schema\n"));
 	printf(_("  --no-security-labels         do not restore security labels\n"));
-- 
2.43.5

